# class Raven::Sidekiq::CleanupMiddleware

### Public Instance Methods

call(_worker, job, queue) { || ... } click to toggle source

    # File sentry-raven/lib/raven/integrations/sidekiq/cleanup_middleware.rb, line 4
    def call(_worker, job, queue)
      Raven.context.transaction.push "Sidekiq/#{job['class']}"
      Raven.extra_context(:sidekiq => job.merge("queue" => queue))
      yield
      Context.clear!
      BreadcrumbBuffer.clear!
    end